GET api/departmentItemapi/departmentitemsbydepartment/{departmentId}?active={active}&lastUpdate={lastUpdate}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
departmentId

globally unique identifier

Required

active

boolean

None.

lastUpdate

date

None.

Body Parameters

None.

Response Information

Resource Description

Collection of DepartmentItemViewModel
NameDescriptionTypeAdditional information
item_code

string

None.

item_descriptions

Dictionary of string [key] and string [value]

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

department_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "item_code": "sample string 1",
    "item_descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "selected_sticker_id": "ae28cb3d-78a5-482f-83ee-83a80cdd8e37",
    "selected_nameplate_id": "cf05e9cc-4ab4-45de-8992-805fe14b717a",
    "active": true,
    "department_id": "8b68c729-7dfb-480d-8b21-c032f690de40",
    "id": "9461fd8c-5263-4c04-bd5c-3d30c8e5b0a7",
    "physical_item_id": "ce5afe50-ea29-4179-84cf-89813ea791ab",
    "service_item_id": "4762e078-ccd3-4304-aef1-d48f7195ce5a",
    "item_wash_max": 1,
    "quantity": 1
  },
  {
    "item_code": "sample string 1",
    "item_descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "selected_sticker_id": "ae28cb3d-78a5-482f-83ee-83a80cdd8e37",
    "selected_nameplate_id": "cf05e9cc-4ab4-45de-8992-805fe14b717a",
    "active": true,
    "department_id": "8b68c729-7dfb-480d-8b21-c032f690de40",
    "id": "9461fd8c-5263-4c04-bd5c-3d30c8e5b0a7",
    "physical_item_id": "ce5afe50-ea29-4179-84cf-89813ea791ab",
    "service_item_id": "4762e078-ccd3-4304-aef1-d48f7195ce5a",
    "item_wash_max": 1,
    "quantity": 1
  }
]

application/xml, text/xml

Sample:
<ArrayOfdepartment_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <department_item>
    <active>true</active>
    <department_id>8b68c729-7dfb-480d-8b21-c032f690de40</department_id>
    <id>9461fd8c-5263-4c04-bd5c-3d30c8e5b0a7</id>
    <item_wash_max>1</item_wash_max>
    <physical_item_id>ce5afe50-ea29-4179-84cf-89813ea791ab</physical_item_id>
    <quantity>1</quantity>
    <service_item_id>4762e078-ccd3-4304-aef1-d48f7195ce5a</service_item_id>
    <item_code>sample string 1</item_code>
    <item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 1</d3p1:Key>
        <d3p1:Value>sample string 2</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 3</d3p1:Key>
        <d3p1:Value>sample string 4</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </item_descriptions>
    <selected_nameplate_id>cf05e9cc-4ab4-45de-8992-805fe14b717a</selected_nameplate_id>
    <selected_sticker_id>ae28cb3d-78a5-482f-83ee-83a80cdd8e37</selected_sticker_id>
  </department_item>
  <department_item>
    <active>true</active>
    <department_id>8b68c729-7dfb-480d-8b21-c032f690de40</department_id>
    <id>9461fd8c-5263-4c04-bd5c-3d30c8e5b0a7</id>
    <item_wash_max>1</item_wash_max>
    <physical_item_id>ce5afe50-ea29-4179-84cf-89813ea791ab</physical_item_id>
    <quantity>1</quantity>
    <service_item_id>4762e078-ccd3-4304-aef1-d48f7195ce5a</service_item_id>
    <item_code>sample string 1</item_code>
    <item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 1</d3p1:Key>
        <d3p1:Value>sample string 2</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 3</d3p1:Key>
        <d3p1:Value>sample string 4</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </item_descriptions>
    <selected_nameplate_id>cf05e9cc-4ab4-45de-8992-805fe14b717a</selected_nameplate_id>
    <selected_sticker_id>ae28cb3d-78a5-482f-83ee-83a80cdd8e37</selected_sticker_id>
  </department_item>
</ArrayOfdepartment_item>